This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 962369 - [abrt] policycoreutils-2.1.13-59.fc18: policydb_destroy: Process /usr/sbin/semodule was killed by signal 11 (SIGSEGV)
[abrt] policycoreutils-2.1.13-59.fc18: policydb_destroy: Process /usr/sbin/se...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: policycoreutils (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
abrt_hash:6eacaa76bd9315826487e071958...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-13 05:49 EDT by Frank Murphy
Modified: 2013-07-11 15:11 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-11 15:11:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (23.78 KB, text/plain)
2013-05-13 05:49 EDT, Frank Murphy
no flags Details
File: cgroup (128 bytes, text/plain)
2013-05-13 05:49 EDT, Frank Murphy
no flags Details
File: core_backtrace (826 bytes, text/plain)
2013-05-13 05:49 EDT, Frank Murphy
no flags Details
File: dso_list (915 bytes, text/plain)
2013-05-13 05:49 EDT, Frank Murphy
no flags Details
File: environ (2.03 KB, text/plain)
2013-05-13 05:49 EDT, Frank Murphy
no flags Details
File: limits (1.29 KB, text/plain)
2013-05-13 05:49 EDT, Frank Murphy
no flags Details
File: maps (4.74 KB, text/plain)
2013-05-13 05:49 EDT, Frank Murphy
no flags Details
File: open_fds (180 bytes, text/plain)
2013-05-13 05:49 EDT, Frank Murphy
no flags Details
File: proc_pid_status (899 bytes, text/plain)
2013-05-13 05:49 EDT, Frank Murphy
no flags Details
File: var_log_messages (315 bytes, text/plain)
2013-05-13 05:49 EDT, Frank Murphy
no flags Details

  None (edit)
Description Frank Murphy 2013-05-13 05:49:35 EDT
Description of problem:
I was running a local fix from sealert # semodule -i F18lightdm01.pp
Segmentation fault (core dumped)

Version-Release number of selected component:
policycoreutils-2.1.13-59.fc18

Additional info:
reporter:       libreport-2.1.4.8.gd975
backtrace_rating: 4
cmdline:        semodule -i F18lightdm01.pp
crash_function: policydb_destroy
executable:     /usr/sbin/semodule
kernel:         3.9.2-0.rc1.200.fc18.x86_64
runlevel:       N 5
uid:            0

Truncated backtrace:
Thread no. 1 (4 frames)
 #2 policydb_destroy at policydb.c:1337
 #3 sepol_policydb_free_internal at policydb_public.c:82
 #4 semanage_direct_commit at direct_api.c:1007
 #5 semanage_commit at handle.c:485
Comment 1 Frank Murphy 2013-05-13 05:49:38 EDT
Created attachment 747151 [details]
File: backtrace
Comment 2 Frank Murphy 2013-05-13 05:49:41 EDT
Created attachment 747152 [details]
File: cgroup
Comment 3 Frank Murphy 2013-05-13 05:49:43 EDT
Created attachment 747153 [details]
File: core_backtrace
Comment 4 Frank Murphy 2013-05-13 05:49:45 EDT
Created attachment 747154 [details]
File: dso_list
Comment 5 Frank Murphy 2013-05-13 05:49:47 EDT
Created attachment 747155 [details]
File: environ
Comment 6 Frank Murphy 2013-05-13 05:49:49 EDT
Created attachment 747156 [details]
File: limits
Comment 7 Frank Murphy 2013-05-13 05:49:52 EDT
Created attachment 747157 [details]
File: maps
Comment 8 Frank Murphy 2013-05-13 05:49:54 EDT
Created attachment 747158 [details]
File: open_fds
Comment 9 Frank Murphy 2013-05-13 05:49:56 EDT
Created attachment 747159 [details]
File: proc_pid_status
Comment 10 Frank Murphy 2013-05-13 05:49:58 EDT
Created attachment 747160 [details]
File: var_log_messages
Comment 11 Daniel Walsh 2013-05-13 11:37:20 EDT
Was this done on a limited memory system?
Comment 12 Frank Murphy 2013-05-13 12:00:03 EDT
8 gb ram, quad 2 core
Comment 13 Daniel Walsh 2013-05-13 13:09:17 EDT
That looks fine.  Is this repeatable?
Comment 14 Frank Murphy 2013-05-14 07:01:22 EDT
(In reply to comment #13)
> That looks fine.  Is this repeatable?

Haven't managed to cause another crash, even with Azureus\Vuze running.
Comment 15 Daniel Walsh 2013-07-11 15:11:48 EDT
Ok I am going to close with Insufficient data, since I can not find the problem.

Reopen if it happens again

Note You need to log in before you can comment on or make changes to this bug.